package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type OrganizationDetailRequest struct {
	// <ext>core:true</ext> 【集团类型】集团类型 【传参】 取值范围：PLATFORM_ORG（平台方集团），INDEPENDENT_ORG（独立管理集团）；不传值默认为全部集团
	OrgType string `json:"orgType,omitempty"`
	// <ext>core:true</ext> 【集团名称】集团名称 【传参】 须传入要查询的集团的最顶级组织名称，传入集团下其他组织将查询不到，若查询到多个，将全部返回
	OrgName string `json:"orgName,omitempty"`
}

func (obj OrganizationDetailRequest) GetUrl() string {
	return "/organization/detail"
}

func (obj OrganizationDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
